UTMP_UPDATE(8)

NAME
utmp_update - update utmpx database

SYNOPSIS
utmp_update utmpx_entry

DESCRIPTION
utmp_update is a helper program to allow a user to update his own utmpx(5) entry. utmp_update does some consistency checks on the strvis(3)-encoded utmpx_entry and then updates the utmpx(5) database of currently logged in users.

utmp_update should not be called directly, but will normally only be called by pututxline(3) if the privileges of the calling user are not sufficient.

EXIT STATUS
utmp_update returns 0 on success, and 1 if an error occurred.

SEE ALSO
pututxline(3), utmpx(5)